Package org.eclipse.debug.ui

## Interface IDebugUIConstants

    public interface IDebugUIConstants

Constant definitions for debug UI plug-in.

Popup menus in the debug UI support action contribution via the `org.eclipse.ui.popupMenus` extension. Actions may be contributed to any group on the menu. To facilitate insertion of actions in between existing groups, empty groups have been defined in the menu. Each group prefixed by "empty" indicates an empty group.

### Debug View Popup Menu

- Empty edit group
- Edit group
- Copy stack action
- Empty step group
- Step group
- Step into group
- Step into action
- Step over group
- Step over action
- Step return group
- Step return action
- Empty thread group
- Thread group
- Resume action
- Suspend action
- Terminate action
- Disconnect action
- Empty launch group
- Launch group
- Remove all terminated action
- Terminate and Remove action
- Relaunch action
- Terminate all action
- Empty render group
- Render group
- Property group
- Property dialog action
- Additions group

### Variables View Popup Menus

- Empty variable group
- Variable group
- Select all action
- Copy to clipboard action
- Find action
- Change value action
- Available logical structures action
- Available detail panes action
- Empty render group
- Render group
- Show type names action
- Additions group

### Breakpoints View Popup Menu

- Empty Navigation group
- Navigation group
- Open action
- Empty Breakpoint group
- Breakpoint group
- Enable action
- Disable action
- Remove action
- Remove all action
- Empty render group
- Render group
- Show breakpoints for model action
- Additions group

### Expressions View Popup Menu

- Empty Expression group
- Expression group
- Select all action
- Copy to clipboard action
- Remove action
- Remove all action
- Find action
- Change variable value action
- Available logical structures action
- Available detail panes action
- Empty Render group
- Render group
- Show type names action
- Additions group

Constants only.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `ANNOTATION_TYPE_INSTRUCTION_POINTER_CURRENT` Annotation type identifier for default annotation of the current instruction pointer (top stack frame in a thread).
`static String` `ANNOTATION_TYPE_INSTRUCTION_POINTER_SECONDARY` Annotation type identifier for default annotation of secondary instruction pointers (non top stack frames).
`static String` `ATTR_APPEND_TO_FILE` Launch configuration attribute specifying whether process output will be appended to the file specified by the `ATTR_CAPTURE_IN_FILE` attribute instead of overwriting the file.
`static String` `ATTR_CAPTURE_IN_CONSOLE` Launch configuration boolean attribute specifying whether output from the launched process will be captured and written to the console.
`static String` `ATTR_CAPTURE_IN_FILE` Launch configuration attribute specifying a file name that console output should be written to or `null` if none.
`static String` `ATTR_CAPTURE_STDIN_FILE` Launch configuration boolean attribute specifying whether input for the launched process will be captured from file.
`static String` `ATTR_CONSOLE_ENCODING` Deprecated. in 3.3 Please use DebugPlugin.ATTR_CONSOLE_ENCODING instead.
`static String` `ATTR_CONSOLE_PROCESS` ProcessConsole attribute - references the process that was launched.
`static String` `ATTR_CONTAINER` Launch configuration attribute - the container where the configuration file is stored.
`static String` `ATTR_DEBUG_FAVORITE` Deprecated. use `ATTR_FAVORITE_GROUPS` instead
`static String` `ATTR_FAVORITE_GROUPS` Launch configuration attribute - a list of launch group identifiers representing the favorite histories a launch configuration should appear in.
`static String` `ATTR_LAUNCH_IN_BACKGROUND` Launch configuration attribute - a boolean value indicating whether a configuration should be launched in the background.
`static String` `ATTR_PRIVATE` Launch configuration attribute - a boolean value that indicates if the launch configuration is 'private'.
`static String` `ATTR_RUN_FAVORITE` Deprecated. use `ATTR_FAVORITE_GROUPS` instead
`static String` `ATTR_TARGET_DEBUG_PERSPECTIVE` Deprecated. Since 3.0, this launch configuration attribute is no longer supported.
`static String` `ATTR_TARGET_RUN_PERSPECTIVE` Deprecated. Since 3.0, this launch configuration attribute is no longer supported.
`static String` `BREAKPOINT_GROUP` Identifier for a breakpoint group in a menu (value `"breakpointGroup"`).
`static String` `BREAKPOINT_GROUP_GROUP` Identifier for a "breakpoint group" group in a menu (value `"breakpointGroupGroup"`).
`static String` `BREAKPOINT_WORKINGSET_ID` Identifier for breakpoint working set type.
`static String` `COLUMN_ID_VARIABLE_NAME` Default ID for the "Name" column in the Variables views.
`static String` `COLUMN_ID_VARIABLE_TYPE` Default ID for the "Declared Type" column in the Variables views.
`static String` `COLUMN_ID_VARIABLE_VALUE` Default ID for the "Value" column in the Variables views.
`static String` `COLUMN_ID_VARIABLE_VALUE_TYPE` Default ID for the "Actual Type" column in the Variables views.
`static String` `COLUMN_PRESENTATION_ID_VARIABLE` ID for the default column layout for the variables, expressions and registers views.
`static String` `DEBUG_ACTION_SET` Debug action set identifier (value `"org.eclipse.debug.ui.debugActionSet"`).
`static String` `DEBUG_CONTEXT_SOURCE_NAME` Name of the debug context variable which can be used in standard expressions and command handlers to access the active debug context.
`static String` `DEBUG_TOOLBAR_ACTION_SET` Debug Toolbar action set identifier (value `"org.eclipse.debug.ui.debugToolbarActionSet"`).
`static String` `DEBUG_VIEW_TOOBAR_VISIBLE` System property which indicates whether the common debugging actions should be shown in the Debug view, as opposed to the top level toolbar.
`static String` `EDIT_GROUP` Identifier for an edit group in a menu (value `"editGroup"`).
`static String` `EMPTY_BREAKPOINT_GROUP` Identifier for an empty group preceding a breakpoint group in a menu (value `"emptyBreakpointGroup"`).
`static String` `EMPTY_EDIT_GROUP` Identifier for an empty group preceding an edit group in a menu (value `"emptyEditGroup"`).
`static String` `EMPTY_EXPRESSION_GROUP` Identifier for an empty group preceding an expression group in a menu (value `"emptyExpressionGroup"`).
`static String` `EMPTY_LAUNCH_GROUP` Identifier for an empty group preceding a launch group in a menu (value `"emptyLaunchGroup"`).
`static String` `EMPTY_MODULES_GROUP` Identifier for an empty group preceding a modules group in a menu (value `"emptyModulesGroup"`).
`static String` `EMPTY_NAVIGATION_GROUP` Identifier for an empty group preceding a navigation group in a menu (value `"emptyNavigationGroup"`).
`static String` `EMPTY_REGISTER_GROUP` Identifier for an empty group preceding a register group in a menu (value `"emptyRegisterGroup"`).
`static String` `EMPTY_RENDER_GROUP` Identifier for an empty group preceding a render group in a menu (value `"emptyRenderGroup"`).
`static String` `EMPTY_STEP_GROUP` Identifier for an empty group preceding a step group in a menu (value `"emptyStepGroup"`).
`static String` `EMPTY_THREAD_GROUP` Identifier for an empty group preceding a thread group in a menu (value `"emptyThreadGroup"`).
`static String` `EMPTY_VARIABLE_GROUP` Identifier for an empty group preceding a variable group in a menu (value `"emptyVariableGroup"`).
`static String` `EXPRESSION_GROUP` Identifier for an expression group in a menu (value `"expressionGroup"`).
`static String` `EXTENSION_POINT_BREAKPOINT_ORGANIZERS` Breakpoint organizers extension point identifier (value `"breakpointOrganizers"`
`static String` `EXTENSION_POINT_CONSOLE_COLOR_PROVIDERS` Console document color provider extension point identifier (value `"consoleColorProviders"`).
`static String` `EXTENSION_POINT_CONSOLE_LINE_TRACKERS` Console line trackers extension point identifier (value `"consoleLineTrackers"`).
`static String` `EXTENSION_POINT_DEBUG_ACTION_GROUPS` Deprecated. The Debug Action Groups extension point no longer exists.
`static String` `EXTENSION_POINT_DETAIL_FACTORIES` Simple identifier constant (value `"detailPaneFactories"`) for the detail pane factories extension point.
`static String` `EXTENSION_POINT_LAUNCH_CONFIGURATION_TAB_GROUPS` Launch configuration tab groups extension point identifier (value `"launchConfigurationTabGroups"`).
`static String` `EXTENSION_POINT_LAUNCH_CONFIGURATION_TYPE_IMAGES` Extension point for launch configuration type images.
`static String` `EXTENSION_POINT_LAUNCH_GROUPS` Launch groups extension point identifier (value `"launchGroups"`).
`static String` `EXTENSION_POINT_LAUNCH_SHORTCUTS` Launch shortcuts extension point identifier (value `"launchShortcuts"`).
`static String` `EXTENSION_POINT_LAUNCH_TABS` Contributed Launch Configuration Tab extension point identifier (value `"launchConfigurationTabs"`).
`static String` `EXTENSION_POINT_LAUNCH_VARIABLE_COMPONENTS` Launch variable components extension point identifier (value `"launchVariableComponents"`).
`static String` `EXTENSION_POINT_MEMORY_RENDERIGNS` Deprecated. As of release 3.4, replaced by `EXTENSION_POINT_MEMORY_RENDERINGS`
`static String` `EXTENSION_POINT_MEMORY_RENDERINGS` Memory renderings extension point identifier (value `"memoryRenderings"`
`static String` `EXTENSION_POINT_OBJECT_BROWSERS` Variables content providers extension point identifier (value `"variablesContentProviders"`).
`static String` `EXTENSION_POINT_TOGGLE_BREAKPOINTS_TARGET_FACTORIES` Simple identifier constant (value `"toggleBreakpointsTargetFactories"`) for the toggle breakpoint targets extension point.
`static String` `EXTENSION_POINT_UPDATE_POLICIES` Update policies extension point identifier (value `"updatePolicies"`
`static String` `EXTENSION_POINT_VARIABLE_VALUE_EDITORS` Variable value editors extension point identifier (value `"variableValueEditors"`
`static String` `ID_BREAKPOINT_VIEW` Breakpoint view identifier (value `"org.eclipse.debug.ui.BreakpointView"`).
`static String` `ID_COMMON_SOURCE_NOT_FOUND_EDITOR` Editor Identifier for the "Common Source Not Found" editor.
`static String` `ID_CONSOLE_VIEW` Deprecated. Use org.eclipse.ui.console.IConsoleConstants.ID_CONSOLE_VIEW
`static String` `ID_DEBUG_LAUNCH_GROUP` Identifier for the standard 'debug' launch group.
`static String` `ID_DEBUG_MODEL_PRESENTATION` Debug model presentation simple extension point identifier (value `"debugModelPresentations"`).
`static String` `ID_DEBUG_PERSPECTIVE` Debug perspective identifier (value `"org.eclipse.debug.ui.DebugPerspective"`).
`static String` `ID_DEBUG_VIEW` Debug view identifier (value `"org.eclipse.debug.ui.DebugView"`).
`static String` `ID_EXPRESSION_VIEW` Expression view identifier (value `"org.eclipse.debug.ui.ExpressionView"`).
`static String` `ID_MEMORY_VIEW` Memory view identifier (value `"org.eclipse.debug.ui.MemoryView"`).
`static String` `ID_MODULE_VIEW` Module view identifier (value `"org.eclipse.debug.ui.ModuleView"`).
`static String` `ID_PROCESS_CONSOLE_TYPE` Console type identifier (value `"org.eclipse.debug.ui.ProcessConsoleType"`).
`static String` `ID_PROFILE_LAUNCH_GROUP` Identifier for the standard 'profile' launch group.
`static String` `ID_REGISTER_VIEW` Register view identifier (value `"org.eclipse.debug.ui.RegisterView"`).
`static String` `ID_RENDERING_VIEW_PANE_1` Memory view's rendering view pane identifier for the rendering view pane on the left.
`static String` `ID_RENDERING_VIEW_PANE_2` Memory view's rendering view pane identifier for the rendering view pane on the right.
`static String` `ID_RUN_LAUNCH_GROUP` Identifier for the standard 'run' launch group.
`static String` `ID_STANDARD_ERROR_STREAM` Identifier for the standard error stream.
`static String` `ID_STANDARD_INPUT_STREAM` Identifier for the standard input stream.
`static String` `ID_STANDARD_OUTPUT_STREAM` Identifier for the standard out stream.
`static String` `ID_VARIABLE_VIEW` Variable view identifier (value `"org.eclipse.debug.ui.VariableView"`).
`static String` `IMG_ACT_DEBUG` Debug action image identifier.
`static String` `IMG_ACT_RUN` Run action image identifier.
`static String` `IMG_ACT_SYNCED` "Link with View" action image identifier.
`static String` `IMG_DLCL_CONTENT_ASSIST` Content assist action image identifier (disabled).
`static String` `IMG_ELCL_CONTENT_ASSIST` Content assist action image identifier (enabled).
`static String` `IMG_LCL_ADD` Add action image identifier.
`static String` `IMG_LCL_CHANGE_VARIABLE_VALUE` Change variable value action image identifier.
`static String` `IMG_LCL_CLEAR` Deprecated. use the platform shared image for clear - `ISharedImages.IMG_ETOOL_CLEAR`
`static String` `IMG_LCL_CONTENT_ASSIST` Content assist action image identifier.
`static String` `IMG_LCL_DETAIL_PANE` Toggle detail pane action image identifier.
`static String` `IMG_LCL_DETAIL_PANE_HIDE` Content assist action image identifier.
`static String` `IMG_LCL_DETAIL_PANE_RIGHT` Content assist action image identifier.
`static String` `IMG_LCL_DETAIL_PANE_UNDER` Content assist action image identifier.
`static String` `IMG_LCL_DISCONNECT` Disconnect action image identifier
`static String` `IMG_LCL_LOCK` Scroll lock action image identifier
`static String` `IMG_LCL_REMOVE` Remove action image identifier
`static String` `IMG_LCL_REMOVE_ALL` Remove all action image identifier
`static String` `IMG_LCL_TYPE_NAMES` Display variable type names action image identifier.
`static String` `IMG_OBJS_ACCESS_WATCHPOINT` Enabled access watchpoint image identifier.
`static String` `IMG_OBJS_ACCESS_WATCHPOINT_DISABLED` Disabled access watchpoint image identifier.
`static String` `IMG_OBJS_BREAKPOINT` Enabled breakpoint image identifier.
`static String` `IMG_OBJS_BREAKPOINT_DISABLED` Disabled breakpoint image identifier.
`static String` `IMG_OBJS_BREAKPOINT_GROUP` Breakpoint group image identifier.
`static String` `IMG_OBJS_BREAKPOINT_GROUP_DISABLED` Disabled breakpoint group image identifier.
`static String` `IMG_OBJS_DEBUG_TARGET` Running debug target image identifier.
`static String` `IMG_OBJS_DEBUG_TARGET_SUSPENDED` Suspended debug target image identifier.
`static String` `IMG_OBJS_DEBUG_TARGET_TERMINATED` Terminated debug target image identifier.
`static String` `IMG_OBJS_ENV_VAR` Environment variable image identifier.
`static String` `IMG_OBJS_ENVIRONMENT` Environment image identifier.
`static String` `IMG_OBJS_EXPRESSION` Expression image identifier.
`static String` `IMG_OBJS_INSTRUCTION_POINTER` Instruction pointer image for editor ruler for secondary (non-top) stack frames.
`static String` `IMG_OBJS_INSTRUCTION_POINTER_TOP` Instruction pointer image for editor ruler for the currently executing instruction in the top stack frame.
`static String` `IMG_OBJS_LAUNCH_DEBUG` Debug mode launch image identifier.
`static String` `IMG_OBJS_LAUNCH_RUN` Run mode launch image identifier.
`static String` `IMG_OBJS_LAUNCH_RUN_TERMINATED` Terminated run mode launch image identifier.
`static String` `IMG_OBJS_MODIFICATION_WATCHPOINT` Enabled modification watchpoint image identifier.
`static String` `IMG_OBJS_MODIFICATION_WATCHPOINT_DISABLED` Disabled modification watchpoint image identifier.
`static String` `IMG_OBJS_OS_PROCESS` Running system process image identifier.
`static String` `IMG_OBJS_OS_PROCESS_TERMINATED` Terminated system process image identifier.
`static String` `IMG_OBJS_REGISTER` Generic register image identifier.
`static String` `IMG_OBJS_REGISTER_GROUP` Generic identifier of register group image.
`static String` `IMG_OBJS_STACKFRAME` Stack frame (suspended) image identifier.
`static String` `IMG_OBJS_STACKFRAME_RUNNING` Stack frame (running) image identifier.
`static String` `IMG_OBJS_THREAD_RUNNING` Running thread image identifier.
`static String` `IMG_OBJS_THREAD_SUSPENDED` Suspended thread image identifier.
`static String` `IMG_OBJS_THREAD_TERMINATED` Terminated thread image identifier.
`static String` `IMG_OBJS_VARIABLE` Generic variable image identifier.
`static String` `IMG_OBJS_WATCHPOINT` Enabled watchpoint image identifier (access & modification).
`static String` `IMG_OBJS_WATCHPOINT_DISABLED` Disabled watchpoint image identifier (access & modification).
`static String` `IMG_OVR_ERROR` Error overlay image identifier.
`static String` `IMG_OVR_PROTOTYPE` Prototype image overlay identifier.
`static String` `IMG_OVR_SKIP_BREAKPOINT` Skip breakpoint image overlay identifier.
`static String` `IMG_PERSPECTIVE_DEBUG` Debug perspective image identifier
`static String` `IMG_SKIP_BREAKPOINTS` "Skip Breakpoints" action image identifier
`static String` `IMG_VIEW_BREAKPOINTS` Breakpoints view image identifier
`static String` `IMG_VIEW_CONSOLE` Console view image identifier
`static String` `IMG_VIEW_EXPRESSIONS` Expressions view image identifier
`static String` `IMG_VIEW_LAUNCHES` Launches view image identifier
`static String` `IMG_VIEW_VARIABLES` Variables view image identifier
`static String` `IMG_WIZBAN_DEBUG` Debug wizard banner image identifier.
`static String` `IMG_WIZBAN_RUN` Run wizard banner image identifier.
`static int` `INTERNAL_ERROR` Status code indicating an unexpected internal error.
`static String` `LAUNCH_ACTION_SET` Launch action set identifier (value `"org.eclipse.debug.ui.launchActionSet"`).
`static String` `LAUNCH_GROUP` Identifier for a launch group in a menu (value `"launchGroup"`).
`static String` `MODULES_GROUP` Identifier for a modules group in a menu (value `"modulesGroup"`).
`static String` `NAVIGATION_GROUP` Identifier for a navigation group in a menu (value `"navigationGroup"`).
`static String` `OUTPUT_GROUP` Identifier for an output group in a menu (value `"outputGroup"`).
`static String` `PERSPECTIVE_DEFAULT` Constant for referring to a default perspective.
`static String` `PERSPECTIVE_NONE` Constant for referring to no perspective.
`static String` `PLUGIN_ID` Debug UI plug-in identifier (value `"org.eclipse.debug.ui"`).
`static String` `PREF_ACTIVATE_WORKBENCH` Boolean preference controlling whether the debugger will force activate the active shell/window of the Eclipse workbench when a breakpoint is hit.
`static String` `PREF_AUTO_REMOVE_OLD_LAUNCHES` Boolean preference controlling automatic removal of terminated launches when a new launch is registered.
`static String` `PREF_BUILD_BEFORE_LAUNCH` Boolean preference controlling whether a build is done before launching a program (if one is needed).
`static String` `PREF_CHANGED_DEBUG_ELEMENT_COLOR` Preference color used to render debug elements that have changed (value `org.eclipse.debug.ui.changedDebugElement`).
`static String` `PREF_CHANGED_VALUE_BACKGROUND` Preference for background color in tree columns when a value changes color.
`static String` `PREF_CONSOLE_FONT` Font preference setting for the process console.
`static String` `PREF_DEFAULT_ASCII_CODE_PAGE` ASCII code page for rendering memory to ASCII strings.
`static String` `PREF_DEFAULT_EBCDIC_CODE_PAGE` EBCDIC code page for rendering memory to EBCDIC strings.
`static String` `PREF_DETAIL_PANE_FONT` The name of the font to use for detail panes.
`static String` `PREF_MANAGE_VIEW_PERSPECTIVES` String preference controlling in which perspectives view management will occur.
`static String` `PREF_MANAGE_VIEW_PERSPECTIVES_DEFAULT` The default value of the `PREF_MANAGE_VIEW_PERSPECTIVES` preference.
`static String` `PREF_MAX_DETAIL_LENGTH` Maximum number of characters to display in the details area of the variables view, or 0 if unlimited.
`static String` `PREF_MAX_HISTORY_SIZE` Integer preference that specifies the length of the Run & Debug launch history lists.
`static String` `PREF_MEMORY_HISTORY_KNOWN_COLOR` Preference color to indicate that a `MemoryByte` has history.
`static String` `PREF_MEMORY_HISTORY_UNKNOWN_COLOR` Preference color to indicate that a `MemoryByte` does not have history.
`static String` `PREF_PADDED_STR` Padded string preference for renderings.
`static String` `PREF_REUSE_EDITOR` Boolean preference controlling whether the debugger re-uses non-dirty editors that it opens when displaying source.
`static String` `PREF_SHOW_DEBUG_PERSPECTIVE_DEFAULT` String preference that identifies the default 'switch to perspective id' when debugging a launch configuration.
`static String` `PREF_SHOW_DETAIL_PANE` Deprecated. no longer used
`static String` `PREF_SHOW_RUN_PERSPECTIVE_DEFAULT` String preference that identifies the default 'switch to perspective id' when running a launch configuration.
`static String` `PREF_SHOW_TYPE_NAMES` Deprecated. no longer used
`static String` `PREF_SKIP_BREAKPOINTS_DURING_RUN_TO_LINE` Boolean preference controlling whether breakpoints are automatically skipped during a Run To Line operation.
`static String` `PREF_VARIABLE_TEXT_FONT` The name of the font to use for the variable text in the variables, registers and expression views.
`static String` `PROPERTY_GROUP` Identifier for a property group in a menu (value `"propertyGroup"`).
`static String` `REGISTER_GROUP` Identifier for a register group in a menu (value `"registerGroup"`).
`static String` `RENDER_GROUP` Identifier for a render group in a menu or toolbar(value `"renderGroup"`).
`static int` `STATUS_INVALID_EXTENSION_DEFINITION` Status indicating an invalid extension definition.
`static String` `STEP_GROUP` Identifier for a step group in a menu or toolbar (value `"stepGroup"`).
`static String` `STEP_INTO_GROUP` Identifier for a step into group in a menu or toolbar (value `"stepIntoGroup"`).
`static String` `STEP_OVER_GROUP` Identifier for a step over group in a menu or toolbar (value `"stepOverGroup"`).
`static String` `STEP_RETURN_GROUP` Identifier for a step return group in a menu or toolbar (value `"stepReturnGroup"`).
`static String` `SYS_PROP_BREAKPOINT_TOGGLE_FACTORIES_USED` A key for a system property that indicates whether there are toggle breakpoint factories registered in this installation.
`static String` `THREAD_GROUP` Identifier for a thread group in a menu or toolbar(value `"threadGroup"`).
`static String` `VARIABLE_GROUP` Identifier for a variable group in a menu (value `"variableGroup"`).
`static String` `VARIABLE_VIEW_DETAIL_ID` Id for the popup menu associated with the detail (text viewer) part of the VariableView
`static String` `VARIABLE_VIEW_VARIABLE_ID` Id for the popup menu associated with the variables (tree viewer) part of the VariableView

### Field Detail

#### PLUGIN_ID

    static final String PLUGIN_ID

Debug UI plug-in identifier (value `"org.eclipse.debug.ui"`).

See Also:
  Constant Field Values

#### ID_DEBUG_PERSPECTIVE

    static final String ID_DEBUG_PERSPECTIVE

Debug perspective identifier (value `"org.eclipse.debug.ui.DebugPerspective"`).

See Also:
  Constant Field Values

#### ID_PROCESS_CONSOLE_TYPE

    static final String ID_PROCESS_CONSOLE_TYPE

Console type identifier (value `"org.eclipse.debug.ui.ProcessConsoleType"`).

Since:
  3.1
See Also:
  Constant Field Values

#### PERSPECTIVE_NONE

    static final String PERSPECTIVE_NONE

Constant for referring to no perspective.

See Also:
  Constant Field Values

#### PERSPECTIVE_DEFAULT

    static final String PERSPECTIVE_DEFAULT

Constant for referring to a default perspective.

See Also:
  Constant Field Values

#### PREF_SHOW_RUN_PERSPECTIVE_DEFAULT

    static final String PREF_SHOW_RUN_PERSPECTIVE_DEFAULT

String preference that identifies the default 'switch to perspective id' when running a launch configuration. This default is used if a particular launch configuration does not override the 'switch to perspective when in run mode' attribute with something else.

See Also:
  Constant Field Values

#### PREF_SHOW_DEBUG_PERSPECTIVE_DEFAULT

    static final String PREF_SHOW_DEBUG_PERSPECTIVE_DEFAULT

String preference that identifies the default 'switch to perspective id' when debugging a launch configuration. This default is used if a particular launch configuration does not override the 'switch to perspective when in debug mode' attribute with something else.

See Also:
  Constant Field Values

#### PREF_BUILD_BEFORE_LAUNCH

    static final String PREF_BUILD_BEFORE_LAUNCH

Boolean preference controlling whether a build is done before launching a program (if one is needed).

See Also:
  Constant Field Values

#### PREF_AUTO_REMOVE_OLD_LAUNCHES

    static final String PREF_AUTO_REMOVE_OLD_LAUNCHES

Boolean preference controlling automatic removal of terminated launches when a new launch is registered.

Since:
  2.0
See Also:
  Constant Field Values

#### PREF_REUSE_EDITOR

    static final String PREF_REUSE_EDITOR

Boolean preference controlling whether the debugger re-uses non-dirty editors that it opens when displaying source. When `true` the debugger re-uses the same editor when showing source for a selected stack frame (unless the editor is dirty).

Since:
  2.0
See Also:
  Constant Field Values

#### PREF_MAX_HISTORY_SIZE

    static final String PREF_MAX_HISTORY_SIZE

Integer preference that specifies the length of the Run & Debug launch history lists.

Since:
  2.0
See Also:
  Constant Field Values

#### PREF_SHOW_TYPE_NAMES

    @Deprecated
    static final String PREF_SHOW_TYPE_NAMES

Deprecated.
no longer used
Boolean preference controlling whether the debugger shows types names in its variable view. When `true` the debugger will display type names in new variable views.

Since:
  2.0
See Also:
  Constant Field Values

#### PREF_SHOW_DETAIL_PANE

    @Deprecated
    static final String PREF_SHOW_DETAIL_PANE

Deprecated.
no longer used
Boolean preference controlling whether the debugger shows the detail pane in its variable view. When `true` the debugger will show the detail panes in new variable views.

Since:
  2.0
See Also:
  Constant Field Values

#### PREF_ACTIVATE_WORKBENCH

    static final String PREF_ACTIVATE_WORKBENCH

Boolean preference controlling whether the debugger will force activate the active shell/window of the Eclipse workbench when a breakpoint is hit.

Since:
  2.1
See Also:
  Constant Field Values

#### PREF_SKIP_BREAKPOINTS_DURING_RUN_TO_LINE

    static final String PREF_SKIP_BREAKPOINTS_DURING_RUN_TO_LINE

Boolean preference controlling whether breakpoints are automatically skipped during a Run To Line operation. If true, breakpoints will be skipped automatically during Run To Line. If false, they will be hit.

Since:
  3.0
See Also:
  Constant Field Values

#### PREF_MANAGE_VIEW_PERSPECTIVES

    static final String PREF_MANAGE_VIEW_PERSPECTIVES

String preference controlling in which perspectives view management will occur. This preference, if set, overrides the perspectives enabled through the `contextViewBindings` extension point. The value is a comma-separated list of perspective IDs, an empty string (no perspectives), or the value of `PREF_MANAGE_VIEW_PERSPECTIVES_DEFAULT` ("`DEFAULT`").

Since:
  3.0
See Also:
  Constant Field Values

#### PREF_MANAGE_VIEW_PERSPECTIVES_DEFAULT

    static final String PREF_MANAGE_VIEW_PERSPECTIVES_DEFAULT

The default value of the `PREF_MANAGE_VIEW_PERSPECTIVES` preference.

Since:
  3.5
See Also:
  `PREF_MANAGE_VIEW_PERSPECTIVES`, Constant Field Values

#### PREF_CONSOLE_FONT

    static final String PREF_CONSOLE_FONT

Font preference setting for the process console.

Since:
  3.3
See Also:
  Constant Field Values

#### ID_DEBUG_VIEW

    static final String ID_DEBUG_VIEW

Debug view identifier (value `"org.eclipse.debug.ui.DebugView"`).

See Also:
  Constant Field Values

#### ID_BREAKPOINT_VIEW

    static final String ID_BREAKPOINT_VIEW

Breakpoint view identifier (value `"org.eclipse.debug.ui.BreakpointView"`).

See Also:
  Constant Field Values

#### ID_VARIABLE_VIEW

    static final String ID_VARIABLE_VIEW

Variable view identifier (value `"org.eclipse.debug.ui.VariableView"`).

See Also:
  Constant Field Values

#### ID_EXPRESSION_VIEW

    static final String ID_EXPRESSION_VIEW

Expression view identifier (value `"org.eclipse.debug.ui.ExpressionView"`).

Since:
  2.0
See Also:
  Constant Field Values

#### ID_REGISTER_VIEW

    static final String ID_REGISTER_VIEW

Register view identifier (value `"org.eclipse.debug.ui.RegisterView"`).

Since:
  3.0
See Also:
  Constant Field Values

#### ID_MODULE_VIEW

    static final String ID_MODULE_VIEW

Module view identifier (value `"org.eclipse.debug.ui.ModuleView"`).

Since:
  3.4
See Also:
  Constant Field Values

#### ID_CONSOLE_VIEW

    @Deprecated
    static final String ID_CONSOLE_VIEW

Deprecated.
Use org.eclipse.ui.console.IConsoleConstants.ID_CONSOLE_VIEW
Console view identifier (value `"org.eclipse.debug.ui.ConsoleView"`).

Since:
  3.0
See Also:
  Constant Field Values

#### ID_STANDARD_OUTPUT_STREAM

    static final String ID_STANDARD_OUTPUT_STREAM

Identifier for the standard out stream.

Since:
  2.1
See Also:
  `IConsoleColorProvider.getColor(String)`, Constant Field Values

#### ID_STANDARD_ERROR_STREAM

    static final String ID_STANDARD_ERROR_STREAM

Identifier for the standard error stream.

Since:
  2.1
See Also:
  `IConsoleColorProvider.getColor(String)`, Constant Field Values

#### ID_STANDARD_INPUT_STREAM

    static final String ID_STANDARD_INPUT_STREAM

Identifier for the standard input stream.

Since:
  2.1
See Also:
  `IConsoleColorProvider.getColor(String)`, Constant Field Values

#### IMG_ACT_DEBUG

    static final String IMG_ACT_DEBUG

Debug action image identifier.

See Also:
  Constant Field Values

#### IMG_ACT_RUN

    static final String IMG_ACT_RUN

Run action image identifier.

See Also:
  Constant Field Values

#### IMG_ACT_SYNCED

    static final String IMG_ACT_SYNCED

"Link with View" action image identifier.

See Also:
  Constant Field Values

#### IMG_SKIP_BREAKPOINTS

    static final String IMG_SKIP_BREAKPOINTS

"Skip Breakpoints" action image identifier

See Also:
  Constant Field Values

#### IMG_LCL_CLEAR

    @Deprecated
    static final String IMG_LCL_CLEAR

Deprecated.
use the platform shared image for clear - `ISharedImages.IMG_ETOOL_CLEAR`
Clear action image identifier.

See Also:
  Constant Field Values

#### IMG_LCL_TYPE_NAMES

    static final String IMG_LCL_TYPE_NAMES

Display variable type names action image identifier.

See Also:
  Constant Field Values

#### IMG_LCL_DETAIL_PANE

    static final String IMG_LCL_DETAIL_PANE

Toggle detail pane action image identifier.

See Also:
  Constant Field Values

#### IMG_LCL_CHANGE_VARIABLE_VALUE

    static final String IMG_LCL_CHANGE_VARIABLE_VALUE

Change variable value action image identifier.

See Also:
  Constant Field Values

#### IMG_LCL_DISCONNECT

    static final String IMG_LCL_DISCONNECT

Disconnect action image identifier

Since:
  2.0
See Also:
  Constant Field Values

#### IMG_LCL_LOCK

    static final String IMG_LCL_LOCK

Scroll lock action image identifier

Since:
  2.1
See Also:
  Constant Field Values

#### IMG_LCL_ADD

    static final String IMG_LCL_ADD

Add action image identifier.

Since:
  3.8
See Also:
  Constant Field Values

#### IMG_LCL_REMOVE_ALL

    static final String IMG_LCL_REMOVE_ALL

Remove all action image identifier

Since:
  2.1
See Also:
  Constant Field Values

#### IMG_LCL_REMOVE

    static final String IMG_LCL_REMOVE

Remove action image identifier

Since:
  3.2
See Also:
  Constant Field Values

#### IMG_LCL_CONTENT_ASSIST

    static final String IMG_LCL_CONTENT_ASSIST

Content assist action image identifier.

See Also:
  Constant Field Values

#### IMG_ELCL_CONTENT_ASSIST

    static final String IMG_ELCL_CONTENT_ASSIST

Content assist action image identifier (enabled).

See Also:
  Constant Field Values

#### IMG_DLCL_CONTENT_ASSIST

    static final String IMG_DLCL_CONTENT_ASSIST

Content assist action image identifier (disabled).

See Also:
  Constant Field Values

#### IMG_LCL_DETAIL_PANE_UNDER

    static final String IMG_LCL_DETAIL_PANE_UNDER

Content assist action image identifier.

See Also:
  Constant Field Values

#### IMG_LCL_DETAIL_PANE_RIGHT

    static final String IMG_LCL_DETAIL_PANE_RIGHT

Content assist action image identifier.

See Also:
  Constant Field Values

#### IMG_LCL_DETAIL_PANE_HIDE

    static final String IMG_LCL_DETAIL_PANE_HIDE

Content assist action image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_LAUNCH_DEBUG

    static final String IMG_OBJS_LAUNCH_DEBUG

Debug mode launch image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_LAUNCH_RUN

    static final String IMG_OBJS_LAUNCH_RUN

Run mode launch image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_LAUNCH_RUN_TERMINATED

    static final String IMG_OBJS_LAUNCH_RUN_TERMINATED

Terminated run mode launch image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_DEBUG_TARGET

    static final String IMG_OBJS_DEBUG_TARGET

Running debug target image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_DEBUG_TARGET_SUSPENDED

    static final String IMG_OBJS_DEBUG_TARGET_SUSPENDED

Suspended debug target image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_DEBUG_TARGET_TERMINATED

    static final String IMG_OBJS_DEBUG_TARGET_TERMINATED

Terminated debug target image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_THREAD_RUNNING

    static final String IMG_OBJS_THREAD_RUNNING

Running thread image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_THREAD_SUSPENDED

    static final String IMG_OBJS_THREAD_SUSPENDED

Suspended thread image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_THREAD_TERMINATED

    static final String IMG_OBJS_THREAD_TERMINATED

Terminated thread image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_STACKFRAME

    static final String IMG_OBJS_STACKFRAME

Stack frame (suspended) image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_STACKFRAME_RUNNING

    static final String IMG_OBJS_STACKFRAME_RUNNING

Stack frame (running) image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_BREAKPOINT

    static final String IMG_OBJS_BREAKPOINT

Enabled breakpoint image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_BREAKPOINT_DISABLED

    static final String IMG_OBJS_BREAKPOINT_DISABLED

Disabled breakpoint image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_BREAKPOINT_GROUP

    static final String IMG_OBJS_BREAKPOINT_GROUP

Breakpoint group image identifier.

Since:
  3.1
See Also:
  Constant Field Values

#### IMG_OBJS_BREAKPOINT_GROUP_DISABLED

    static final String IMG_OBJS_BREAKPOINT_GROUP_DISABLED

Disabled breakpoint group image identifier.

Since:
  3.1
See Also:
  Constant Field Values

#### IMG_OBJS_WATCHPOINT

    static final String IMG_OBJS_WATCHPOINT

Enabled watchpoint image identifier (access & modification).

Since:
  3.0
See Also:
  Constant Field Values

#### IMG_OBJS_WATCHPOINT_DISABLED

    static final String IMG_OBJS_WATCHPOINT_DISABLED

Disabled watchpoint image identifier (access & modification).

Since:
  3.0
See Also:
  Constant Field Values

#### IMG_OBJS_ACCESS_WATCHPOINT

    static final String IMG_OBJS_ACCESS_WATCHPOINT

Enabled access watchpoint image identifier.

Since:
  3.1
See Also:
  Constant Field Values

#### IMG_OBJS_ACCESS_WATCHPOINT_DISABLED

    static final String IMG_OBJS_ACCESS_WATCHPOINT_DISABLED

Disabled access watchpoint image identifier.

Since:
  3.1
See Also:
  Constant Field Values

#### IMG_OBJS_MODIFICATION_WATCHPOINT

    static final String IMG_OBJS_MODIFICATION_WATCHPOINT

Enabled modification watchpoint image identifier.

Since:
  3.1
See Also:
  Constant Field Values

#### IMG_OBJS_MODIFICATION_WATCHPOINT_DISABLED

    static final String IMG_OBJS_MODIFICATION_WATCHPOINT_DISABLED

Disabled modification watchpoint image identifier.

Since:
  3.1
See Also:
  Constant Field Values

#### IMG_OBJS_OS_PROCESS

    static final String IMG_OBJS_OS_PROCESS

Running system process image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_OS_PROCESS_TERMINATED

    static final String IMG_OBJS_OS_PROCESS_TERMINATED

Terminated system process image identifier.

See Also:
  Constant Field Values

#### IMG_OBJS_EXPRESSION

    static final String IMG_OBJS_EXPRESSION

Expression image identifier.

Since:
  2.0
See Also:
  Constant Field Values

#### IMG_OBJS_VARIABLE

    static final String IMG_OBJS_VARIABLE

Generic variable image identifier.

Since:
  2.0
See Also:
  Constant Field Values

#### IMG_OBJS_REGISTER_GROUP

    static final String IMG_OBJS_REGISTER_GROUP

Generic identifier of register group image.

Since:
  3.0
See Also:
  Constant Field Values

#### IMG_OBJS_REGISTER

    static final String IMG_OBJS_REGISTER

Generic register image identifier.

Since:
  3.0
See Also:
  Constant Field Values

#### IMG_OBJS_ENVIRONMENT

    static final String IMG_OBJS_ENVIRONMENT

Environment image identifier.

Since:
  3.0
See Also:
  Constant Field Values

#### IMG_OBJS_ENV_VAR

    static final String IMG_OBJS_ENV_VAR

Environment variable image identifier.

Since:
  3.0
See Also:
  Constant Field Values

#### IMG_VIEW_LAUNCHES

    static final String IMG_VIEW_LAUNCHES

Launches view image identifier

Since:
  2.0
See Also:
  Constant Field Values

#### IMG_VIEW_BREAKPOINTS

    static final String IMG_VIEW_BREAKPOINTS

Breakpoints view image identifier

Since:
  2.0
See Also:
  Constant Field Values

#### IMG_VIEW_VARIABLES

    static final String IMG_VIEW_VARIABLES

Variables view image identifier

Since:
  2.0
See Also:
  Constant Field Values

#### IMG_VIEW_EXPRESSIONS

    static final String IMG_VIEW_EXPRESSIONS

Expressions view image identifier

Since:
  2.0
See Also:
  Constant Field Values

#### IMG_VIEW_CONSOLE

    static final String IMG_VIEW_CONSOLE

Console view image identifier

Since:
  2.0
See Also:
  Constant Field Values

#### IMG_PERSPECTIVE_DEBUG

    static final String IMG_PERSPECTIVE_DEBUG

Debug perspective image identifier

Since:
  2.0
See Also:
  Constant Field Values

#### IMG_WIZBAN_DEBUG

    static final String IMG_WIZBAN_DEBUG

Debug wizard banner image identifier.

See Also:
  Constant Field Values

#### IMG_WIZBAN_RUN

    static final String IMG_WIZBAN_RUN

Run wizard banner image identifier.

See Also:
  Constant Field Values

#### IMG_OVR_ERROR

    static final String IMG_OVR_ERROR

Error overlay image identifier.

See Also:
  Constant Field Values

#### IMG_OVR_SKIP_BREAKPOINT

    static final String IMG_OVR_SKIP_BREAKPOINT

Skip breakpoint image overlay identifier.

Since:
  3.1
See Also:
  Constant Field Values

#### IMG_OVR_PROTOTYPE

    static final String IMG_OVR_PROTOTYPE

Prototype image overlay identifier.

Since:
  3.13
See Also:
  Constant Field Values

#### DEBUG_ACTION_SET

    static final String DEBUG_ACTION_SET

Debug action set identifier (value `"org.eclipse.debug.ui.debugActionSet"`).

See Also:
  Constant Field Values

#### DEBUG_TOOLBAR_ACTION_SET

    static final String DEBUG_TOOLBAR_ACTION_SET

Debug Toolbar action set identifier (value `"org.eclipse.debug.ui.debugToolbarActionSet"`).

Since:
  3.8
See Also:
  Constant Field Values

#### DEBUG_VIEW_TOOBAR_VISIBLE

    static final String DEBUG_VIEW_TOOBAR_VISIBLE

System property which indicates whether the common debugging actions should be shown in the Debug view, as opposed to the top level toolbar. Actions contributing to the debug view can use this property to control their visibility.

Since:
  3.8
See Also:
  Constant Field Values

#### LAUNCH_ACTION_SET

    static final String LAUNCH_ACTION_SET

Launch action set identifier (value `"org.eclipse.debug.ui.launchActionSet"`).

See Also:
  Constant Field Values

#### ID_DEBUG_LAUNCH_GROUP

    static final String ID_DEBUG_LAUNCH_GROUP

Identifier for the standard 'debug' launch group.

Since:
  2.1
See Also:
  Constant Field Values

#### ID_RUN_LAUNCH_GROUP

    static final String ID_RUN_LAUNCH_GROUP

Identifier for the standard 'run' launch group.

Since:
  2.1
See Also:
  Constant Field Values

#### ID_PROFILE_LAUNCH_GROUP

    static final String ID_PROFILE_LAUNCH_GROUP

Identifier for the standard 'profile' launch group.

Since:
  3.0
See Also:
  Constant Field Values

#### EMPTY_EDIT_GROUP

    static final String EMPTY_EDIT_GROUP

Identifier for an empty group preceding an edit group in a menu (value `"emptyEditGroup"`).

See Also:
  Constant Field Values

#### EDIT_GROUP

    static final String EDIT_GROUP

Identifier for an edit group in a menu (value `"editGroup"`).

See Also:
  Constant Field Values

#### EMPTY_STEP_GROUP

    static final String EMPTY_STEP_GROUP

Identifier for an empty group preceding a step group in a menu (value `"emptyStepGroup"`).

See Also:
  Constant Field Values

#### STEP_GROUP

    static final String STEP_GROUP

Identifier for a step group in a menu or toolbar (value `"stepGroup"`).

See Also:
  Constant Field Values

#### STEP_INTO_GROUP

    static final String STEP_INTO_GROUP

Identifier for a step into group in a menu or toolbar (value `"stepIntoGroup"`).

See Also:
  Constant Field Values

#### STEP_OVER_GROUP

    static final String STEP_OVER_GROUP

Identifier for a step over group in a menu or toolbar (value `"stepOverGroup"`).

See Also:
  Constant Field Values

#### STEP_RETURN_GROUP

    static final String STEP_RETURN_GROUP

Identifier for a step return group in a menu or toolbar (value `"stepReturnGroup"`).

See Also:
  Constant Field Values

#### EMPTY_THREAD_GROUP

    static final String EMPTY_THREAD_GROUP

Identifier for an empty group preceding a thread group in a menu (value `"emptyThreadGroup"`).

See Also:
  Constant Field Values

#### THREAD_GROUP

    static final String THREAD_GROUP

Identifier for a thread group in a menu or toolbar(value `"threadGroup"`).

See Also:
  Constant Field Values

#### EMPTY_LAUNCH_GROUP

    static final String EMPTY_LAUNCH_GROUP

Identifier for an empty group preceding a launch group in a menu (value `"emptyLaunchGroup"`).

See Also:
  Constant Field Values

#### LAUNCH_GROUP

    static final String LAUNCH_GROUP

Identifier for a launch group in a menu (value `"launchGroup"`).

See Also:
  Constant Field Values

#### OUTPUT_GROUP

    static final String OUTPUT_GROUP

Identifier for an output group in a menu (value `"outputGroup"`).

See Also:
  Constant Field Values

#### EMPTY_VARIABLE_GROUP

    static final String EMPTY_VARIABLE_GROUP

Identifier for an empty group preceding a variable group in a menu (value `"emptyVariableGroup"`).

See Also:
  Constant Field Values

#### VARIABLE_GROUP

    static final String VARIABLE_GROUP

Identifier for a variable group in a menu (value `"variableGroup"`).

See Also:
  Constant Field Values

#### EMPTY_NAVIGATION_GROUP

    static final String EMPTY_NAVIGATION_GROUP

Identifier for an empty group preceding a navigation group in a menu (value `"emptyNavigationGroup"`).

See Also:
  Constant Field Values

#### NAVIGATION_GROUP

    static final String NAVIGATION_GROUP

Identifier for a navigation group in a menu (value `"navigationGroup"`).

See Also:
  Constant Field Values

#### EMPTY_BREAKPOINT_GROUP

    static final String EMPTY_BREAKPOINT_GROUP

Identifier for an empty group preceding a breakpoint group in a menu (value `"emptyBreakpointGroup"`).

See Also:
  Constant Field Values

#### BREAKPOINT_GROUP

    static final String BREAKPOINT_GROUP

Identifier for a breakpoint group in a menu (value `"breakpointGroup"`).

See Also:
  Constant Field Values

#### BREAKPOINT_GROUP_GROUP

    static final String BREAKPOINT_GROUP_GROUP

Identifier for a "breakpoint group" group in a menu (value `"breakpointGroupGroup"`).

Since:
  3.1
See Also:
  Constant Field Values

#### EMPTY_EXPRESSION_GROUP

    static final String EMPTY_EXPRESSION_GROUP

Identifier for an empty group preceding an expression group in a menu (value `"emptyExpressionGroup"`).

Since:
  2.0
See Also:
  Constant Field Values

#### EXPRESSION_GROUP

    static final String EXPRESSION_GROUP

Identifier for an expression group in a menu (value `"expressionGroup"`).

Since:
  2.0
See Also:
  Constant Field Values

#### EMPTY_RENDER_GROUP

    static final String EMPTY_RENDER_GROUP

Identifier for an empty group preceding a render group in a menu (value `"emptyRenderGroup"`).

See Also:
  Constant Field Values

#### RENDER_GROUP

    static final String RENDER_GROUP

Identifier for a render group in a menu or toolbar(value `"renderGroup"`).

See Also:
  Constant Field Values

#### PROPERTY_GROUP

    static final String PROPERTY_GROUP

Identifier for a property group in a menu (value `"propertyGroup"`).

See Also:
  Constant Field Values

#### EMPTY_REGISTER_GROUP

    static final String EMPTY_REGISTER_GROUP

Identifier for an empty group preceding a register group in a menu (value `"emptyRegisterGroup"`).

See Also:
  Constant Field Values

#### REGISTER_GROUP

    static final String REGISTER_GROUP

Identifier for a register group in a menu (value `"registerGroup"`).

See Also:
  Constant Field Values

#### EMPTY_MODULES_GROUP

    static final String EMPTY_MODULES_GROUP

Identifier for an empty group preceding a modules group in a menu (value `"emptyModulesGroup"`).

Since:
  3.4
See Also:
  Constant Field Values

#### MODULES_GROUP

    static final String MODULES_GROUP

Identifier for a modules group in a menu (value `"modulesGroup"`).

Since:
  3.4
See Also:
  Constant Field Values

#### VARIABLE_VIEW_VARIABLE_ID

    static final String VARIABLE_VIEW_VARIABLE_ID

Id for the popup menu associated with the variables (tree viewer) part of the VariableView

See Also:
  Constant Field Values

#### VARIABLE_VIEW_DETAIL_ID

    static final String VARIABLE_VIEW_DETAIL_ID

Id for the popup menu associated with the detail (text viewer) part of the VariableView

See Also:
  Constant Field Values

#### STATUS_INVALID_EXTENSION_DEFINITION

    static final int STATUS_INVALID_EXTENSION_DEFINITION

Status indicating an invalid extension definition.

See Also:
  Constant Field Values

#### INTERNAL_ERROR

    static final int INTERNAL_ERROR

Status code indicating an unexpected internal error.

See Also:
  Constant Field Values

#### ATTR_TARGET_RUN_PERSPECTIVE

    @Deprecated
    static final String ATTR_TARGET_RUN_PERSPECTIVE

Deprecated.
Since 3.0, this launch configuration attribute is no longer supported. Use `DebugUITools.setLaunchPerspective(ILaunchConfigurationType type, String mode, String perspective)`.
Launch configuration attribute - the perspective to switch to when a launch configuration is launched in run mode (value `org.eclipse.debug.ui.target_run_perspective`). Value is a string corresponding to a perspective identifier, or `null` indicating no perspective change.

Since:
  2.0
See Also:
  Constant Field Values

#### ATTR_TARGET_DEBUG_PERSPECTIVE

    @Deprecated
    static final String ATTR_TARGET_DEBUG_PERSPECTIVE

Deprecated.
Since 3.0, this launch configuration attribute is no longer supported. Use `DebugUITools.setLaunchPerspective(ILaunchConfigurationType type, String mode, String perspective)`.
Launch configuration attribute - the perspective to switch to when a launch configuration is launched in debug mode (value `org.eclipse.debug.ui.target_debug_perspective`). Value is a string corresponding to a perspective identifier, or `null` indicating no perspective change.

Since:
  2.0
See Also:
  Constant Field Values

#### ATTR_CONTAINER

    static final String ATTR_CONTAINER

Launch configuration attribute - the container where the configuration file is stored. The container is set via the 'setContainer()' call on ILaunchConfigurationWorkingCopy. This constant is only needed for persisting and reading the default value of the container value for individual resources.

Since:
  2.0
See Also:
  Constant Field Values

#### ATTR_PRIVATE

    static final String ATTR_PRIVATE

Launch configuration attribute - a boolean value that indicates if the launch configuration is 'private'. A private configuration is one that does not appear to the user in the launch history or the launch configuration dialog.

Since:
  2.0
See Also:
  Constant Field Values

#### ATTR_DEBUG_FAVORITE

    @Deprecated
    static final String ATTR_DEBUG_FAVORITE

Deprecated.
use `ATTR_FAVORITE_GROUPS` instead
Launch configuration attribute - a boolean value that indicates if the launch configuration is displayed in the debug favorites menu. Default value is `false` if absent.

Since:
  2.0
See Also:
  Constant Field Values

#### ATTR_RUN_FAVORITE

    @Deprecated
    static final String ATTR_RUN_FAVORITE

Deprecated.
use `ATTR_FAVORITE_GROUPS` instead
Launch configuration attribute - a boolean value that indicates if the launch configuration is displayed in the run favorites menu.Default value is `false` if absent.

Since:
  2.0
See Also:
  Constant Field Values

#### ATTR_FAVORITE_GROUPS

    static final String ATTR_FAVORITE_GROUPS

Launch configuration attribute - a list of launch group identifiers representing the favorite histories a launch configuration should appear in. When `null`, the configuration does not appear in any favorite lists.

Since:
  2.1
See Also:
  Constant Field Values

#### ATTR_LAUNCH_IN_BACKGROUND

    static final String ATTR_LAUNCH_IN_BACKGROUND

Launch configuration attribute - a boolean value indicating whether a configuration should be launched in the background. Default value is `true`.

Since:
  3.0
See Also:
  Constant Field Values

#### ATTR_CONSOLE_PROCESS

    static final String ATTR_CONSOLE_PROCESS

ProcessConsole attribute - references the process that was launched.

Since:
  3.1
See Also:
  Constant Field Values

#### ATTR_CONSOLE_ENCODING

    @Deprecated
    static final String ATTR_CONSOLE_ENCODING

Deprecated.
in 3.3 Please use DebugPlugin.ATTR_CONSOLE_ENCODING instead.
Launch configuration attribute specifying the encoding that the console should use. When unspecified, the default encoding is used. Encoding names are available from `WorkbenchEncoding`.

Since:
  3.1
See Also:
  Constant Field Values

#### ATTR_CAPTURE_IN_CONSOLE

    static final String ATTR_CAPTURE_IN_CONSOLE

Launch configuration boolean attribute specifying whether output from the launched process will be captured and written to the console. Default value is `true`.

Since:
  3.1
See Also:
  Constant Field Values

#### ATTR_CAPTURE_STDIN_FILE

    static final String ATTR_CAPTURE_STDIN_FILE

Launch configuration boolean attribute specifying whether input for the launched process will be captured from file. Default value is `null`.

Since:
  3.11
See Also:
  Constant Field Values

#### ATTR_CAPTURE_IN_FILE

    static final String ATTR_CAPTURE_IN_FILE

Launch configuration attribute specifying a file name that console output should be written to or `null` if none. Default value is `null`. When specified, all output from the launched process will be written to the file. The file name attribute may contain variables which will be resolved by the `IStringVariableManager`.

Since:
  3.1
See Also:
  Constant Field Values

#### ATTR_APPEND_TO_FILE

    static final String ATTR_APPEND_TO_FILE

Launch configuration attribute specifying whether process output will be appended to the file specified by the `ATTR_CAPTURE_IN_FILE` attribute instead of overwriting the file. Default value is `false`.

Since:
  3.1
See Also:
  Constant Field Values

#### ID_DEBUG_MODEL_PRESENTATION

    static final String ID_DEBUG_MODEL_PRESENTATION

Debug model presentation simple extension point identifier (value `"debugModelPresentations"`).

See Also:
  Constant Field Values

#### EXTENSION_POINT_DEBUG_ACTION_GROUPS

    @Deprecated
    static final String EXTENSION_POINT_DEBUG_ACTION_GROUPS

Deprecated.
The Debug Action Groups extension point no longer exists. Product vendors should use Activities instead.
Debug action groups extension point identifier (value `"debugActionGroups"`).

Since:
  2.0
See Also:
  Constant Field Values

#### EXTENSION_POINT_LAUNCH_CONFIGURATION_TAB_GROUPS

    static final String EXTENSION_POINT_LAUNCH_CONFIGURATION_TAB_GROUPS

Launch configuration tab groups extension point identifier (value `"launchConfigurationTabGroups"`).

Since:
  2.0
See Also:
  Constant Field Values

#### EXTENSION_POINT_LAUNCH_TABS

    static final String EXTENSION_POINT_LAUNCH_TABS

Contributed Launch Configuration Tab extension point identifier (value `"launchConfigurationTabs"`).

Since:
  3.3
See Also:
  Constant Field Values

#### EXTENSION_POINT_LAUNCH_SHORTCUTS

    static final String EXTENSION_POINT_LAUNCH_SHORTCUTS

Launch shortcuts extension point identifier (value `"launchShortcuts"`).

Since:
  2.0
See Also:
  Constant Field Values

#### EXTENSION_POINT_LAUNCH_CONFIGURATION_TYPE_IMAGES

    static final String EXTENSION_POINT_LAUNCH_CONFIGURATION_TYPE_IMAGES

Extension point for launch configuration type images.

Since:
  2.0
See Also:
  Constant Field Values

#### EXTENSION_POINT_CONSOLE_COLOR_PROVIDERS

    static final String EXTENSION_POINT_CONSOLE_COLOR_PROVIDERS

Console document color provider extension point identifier (value `"consoleColorProviders"`).

Since:
  2.1
See Also:
  Constant Field Values

#### EXTENSION_POINT_LAUNCH_GROUPS

    static final String EXTENSION_POINT_LAUNCH_GROUPS

Launch groups extension point identifier (value `"launchGroups"`).

Since:
  2.1
See Also:
  Constant Field Values

#### EXTENSION_POINT_CONSOLE_LINE_TRACKERS

    static final String EXTENSION_POINT_CONSOLE_LINE_TRACKERS

Console line trackers extension point identifier (value `"consoleLineTrackers"`).

Since:
  2.1
See Also:
  Constant Field Values

#### EXTENSION_POINT_OBJECT_BROWSERS

    static final String EXTENSION_POINT_OBJECT_BROWSERS

Variables content providers extension point identifier (value `"variablesContentProviders"`).

Since:
  3.0
See Also:
  Constant Field Values

#### EXTENSION_POINT_LAUNCH_VARIABLE_COMPONENTS

    static final String EXTENSION_POINT_LAUNCH_VARIABLE_COMPONENTS

Launch variable components extension point identifier (value `"launchVariableComponents"`). The launch variable components extension point specifies an `IVariableComponent` for an `IContextLaunchVariable`.

See Also:
  Constant Field Values

#### EXTENSION_POINT_VARIABLE_VALUE_EDITORS

    static final String EXTENSION_POINT_VARIABLE_VALUE_EDITORS

Variable value editors extension point identifier (value `"variableValueEditors"`

Since:
  3.1
See Also:
  Constant Field Values

#### EXTENSION_POINT_MEMORY_RENDERIGNS

    @Deprecated
    static final String EXTENSION_POINT_MEMORY_RENDERIGNS

Deprecated.
As of release 3.4, replaced by `EXTENSION_POINT_MEMORY_RENDERINGS`
Memory renderings extension point identifier (value `"memoryRenderings"`

Since:
  3.1
See Also:
  Constant Field Values

#### EXTENSION_POINT_MEMORY_RENDERINGS

    static final String EXTENSION_POINT_MEMORY_RENDERINGS

Memory renderings extension point identifier (value `"memoryRenderings"`

Since:
  3.4
See Also:
  Constant Field Values

#### EXTENSION_POINT_BREAKPOINT_ORGANIZERS

    static final String EXTENSION_POINT_BREAKPOINT_ORGANIZERS

Breakpoint organizers extension point identifier (value `"breakpointOrganizers"`

Since:
  3.1
See Also:
  Constant Field Values

#### EXTENSION_POINT_DETAIL_FACTORIES

    static final String EXTENSION_POINT_DETAIL_FACTORIES

Simple identifier constant (value `"detailPaneFactories"`) for the detail pane factories extension point.

Since:
  3.3
See Also:
  Constant Field Values

#### EXTENSION_POINT_TOGGLE_BREAKPOINTS_TARGET_FACTORIES

    static final String EXTENSION_POINT_TOGGLE_BREAKPOINTS_TARGET_FACTORIES

Simple identifier constant (value `"toggleBreakpointsTargetFactories"`) for the toggle breakpoint targets extension point.

Since:
  3.5
See Also:
  Constant Field Values

#### EXTENSION_POINT_UPDATE_POLICIES

    static final String EXTENSION_POINT_UPDATE_POLICIES

Update policies extension point identifier (value `"updatePolicies"`

Since:
  3.2
See Also:
  Constant Field Values

#### PREF_PADDED_STR

    static final String PREF_PADDED_STR

Padded string preference for renderings. Padded string is the string to be used in place of of a memory byte if a rendering cannot render the data properly.

Since:
  3.1
See Also:
  Constant Field Values

#### PREF_DEFAULT_ASCII_CODE_PAGE

    static final String PREF_DEFAULT_ASCII_CODE_PAGE

ASCII code page for rendering memory to ASCII strings.

Since:
  3.1
See Also:
  Constant Field Values

#### PREF_DEFAULT_EBCDIC_CODE_PAGE

    static final String PREF_DEFAULT_EBCDIC_CODE_PAGE

EBCDIC code page for rendering memory to EBCDIC strings.

Since:
  3.1
See Also:
  Constant Field Values

#### PREF_MAX_DETAIL_LENGTH

    static final String PREF_MAX_DETAIL_LENGTH

Maximum number of characters to display in the details area of the variables view, or 0 if unlimited.

Since:
  3.2
See Also:
  Constant Field Values

#### BREAKPOINT_WORKINGSET_ID

    static final String BREAKPOINT_WORKINGSET_ID

Identifier for breakpoint working set type.
Value is: `org.eclipse.debug.ui.breakpointWorkingSet`

Since:
  3.2
See Also:
  Constant Field Values

#### ID_MEMORY_VIEW

    static final String ID_MEMORY_VIEW

Memory view identifier (value `"org.eclipse.debug.ui.MemoryView"`).

Since:
  3.2
See Also:
  Constant Field Values

#### ID_RENDERING_VIEW_PANE_1

    static final String ID_RENDERING_VIEW_PANE_1

Memory view's rendering view pane identifier for the rendering view pane on the left. (value `"org.eclipse.debug.ui.MemoryView.RenderingViewPane.1"`).

Since:
  3.2
See Also:
  Constant Field Values

#### ID_RENDERING_VIEW_PANE_2

    static final String ID_RENDERING_VIEW_PANE_2

Memory view's rendering view pane identifier for the rendering view pane on the right. (value `"org.eclipse.debug.ui.MemoryView.RenderingViewPane.2"`).

Since:
  3.2
See Also:
  Constant Field Values

#### PREF_MEMORY_HISTORY_UNKNOWN_COLOR

    static final String PREF_MEMORY_HISTORY_UNKNOWN_COLOR

Preference color to indicate that a `MemoryByte` does not have history. (value `org.eclipse.debug.ui.MemoryHistoryUnknownColor` )

Since:
  3.2
See Also:
  Constant Field Values

#### PREF_MEMORY_HISTORY_KNOWN_COLOR

    static final String PREF_MEMORY_HISTORY_KNOWN_COLOR

Preference color to indicate that a `MemoryByte` has history. (value `org.eclipse.debug.ui.MemoryHistoryKnownColor` )

Since:
  3.2
See Also:
  Constant Field Values

#### ANNOTATION_TYPE_INSTRUCTION_POINTER_CURRENT

    static final String ANNOTATION_TYPE_INSTRUCTION_POINTER_CURRENT

Annotation type identifier for default annotation of the current instruction pointer (top stack frame in a thread). Value is `org.eclipse.debug.ui.currentIP`, identifying a `org.eclipse.ui.editors.markerAnnotationSpecification` extension.

Since:
  3.2
See Also:
  Constant Field Values

#### ANNOTATION_TYPE_INSTRUCTION_POINTER_SECONDARY

    static final String ANNOTATION_TYPE_INSTRUCTION_POINTER_SECONDARY

Annotation type identifier for default annotation of secondary instruction pointers (non top stack frames). Value is `org.eclipse.debug.ui.secondaryIP`, identifying a `org.eclipse.ui.editors.markerAnnotationSpecification` extension.

Since:
  3.2
See Also:
  Constant Field Values

#### ID_COMMON_SOURCE_NOT_FOUND_EDITOR

    static final String ID_COMMON_SOURCE_NOT_FOUND_EDITOR

Editor Identifier for the "Common Source Not Found" editor. Value is `org.eclipse.debug.ui.sourcelookup.CommonSourceNotFoundEditor`

Since:
  3.2
See Also:
  Constant Field Values

#### PREF_CHANGED_DEBUG_ELEMENT_COLOR

    static final String PREF_CHANGED_DEBUG_ELEMENT_COLOR

Preference color used to render debug elements that have changed (value `org.eclipse.debug.ui.changedDebugElement`). For example, when a variable value changes, variables are rendered in this color.

Since:
  3.2
See Also:
  `DebugUITools`, Constant Field Values

#### PREF_CHANGED_VALUE_BACKGROUND

    static final String PREF_CHANGED_VALUE_BACKGROUND

Preference for background color in tree columns when a value changes color.

Since:
  3.5
See Also:
  `DebugUITools`, Constant Field Values

#### PREF_VARIABLE_TEXT_FONT

    static final String PREF_VARIABLE_TEXT_FONT

The name of the font to use for the variable text in the variables, registers and expression views. This font is managed via the workbench font preference page.

Since:
  3.5
See Also:
  Constant Field Values

#### PREF_DETAIL_PANE_FONT

    static final String PREF_DETAIL_PANE_FONT

The name of the font to use for detail panes. This font is managed via the workbench font preference page.

Since:
  3.5
See Also:
  Constant Field Values

#### IMG_OBJS_INSTRUCTION_POINTER_TOP

    static final String IMG_OBJS_INSTRUCTION_POINTER_TOP

Instruction pointer image for editor ruler for the currently executing instruction in the top stack frame.

Since:
  3.2
See Also:
  Constant Field Values

#### IMG_OBJS_INSTRUCTION_POINTER

    static final String IMG_OBJS_INSTRUCTION_POINTER

Instruction pointer image for editor ruler for secondary (non-top) stack frames.

Since:
  3.2
See Also:
  Constant Field Values

#### SYS_PROP_BREAKPOINT_TOGGLE_FACTORIES_USED

    static final String SYS_PROP_BREAKPOINT_TOGGLE_FACTORIES_USED

A key for a system property that indicates whether there are toggle breakpoint factories registered in this installation. This can be used to trigger the UI to include menus related to breakpoint types.

Since:
  3.5
See Also:
  Constant Field Values

#### DEBUG_CONTEXT_SOURCE_NAME

    static final String DEBUG_CONTEXT_SOURCE_NAME

Name of the debug context variable which can be used in standard expressions and command handlers to access the active debug context.

Since:
  3.5
See Also:
  Constant Field Values

#### COLUMN_PRESENTATION_ID_VARIABLE

    static final String COLUMN_PRESENTATION_ID_VARIABLE

ID for the default column layout for the variables, expressions and registers views.

Since:
  3.8
See Also:
  Constant Field Values

#### COLUMN_ID_VARIABLE_NAME

    static final String COLUMN_ID_VARIABLE_NAME

Default ID for the "Name" column in the Variables views.

Since:
  3.8
See Also:
  Constant Field Values

#### COLUMN_ID_VARIABLE_TYPE

    static final String COLUMN_ID_VARIABLE_TYPE

Default ID for the "Declared Type" column in the Variables views.

Since:
  3.8
See Also:
  Constant Field Values

#### COLUMN_ID_VARIABLE_VALUE

    static final String COLUMN_ID_VARIABLE_VALUE

Default ID for the "Value" column in the Variables views.

Since:
  3.8
See Also:
  Constant Field Values

#### COLUMN_ID_VARIABLE_VALUE_TYPE

    static final String COLUMN_ID_VARIABLE_VALUE_TYPE

Default ID for the "Actual Type" column in the Variables views.

Since:
  3.8
See Also:
  Constant Field Values